# POST /reputation/reviews/:id/publish

**Resource:** [Reputation](./reputation.md)  
**Scopes:** `reputation:write`  
**Write operation:** yes

Transition a review from approved to published. Stamps published_at and recalculates the profile overall_rating and total_reviews.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `id` | path | string | yes | Review UUID |

## Request example

```bash
curl -X POST https://ucqwijexmjctglmrxlej.supabase.co/functions/v1/api/v1/reputation/reviews/e14dad66-b422-42d4-a636-cd17af1c9970/publish \
  -H "Authorization: Bearer tp_live_..."
```

## Response example

```json
{
  "data": { "id": "e14dad66-b422-42d4-a636-cd17af1c9970", "status": "published", "published_at": "2026-04-24T00:00:00.000Z" },
  "meta": { "credits_remaining": 4495 }
}
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`